# !/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 4484 $
$LastChangedDate:: 2021-06-15 16:57:50 +0200#$

This file is part of SyMSpace.

Copyright (c) 2021, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""
if __name__ == '__main__':
    """
    This script is used in componentspace.material_component
    """
    import argparse
    from symspace.osutils.pathutils import CMDParser
    from componentspace.material_component import MaterialComponent

    parser = argparse.ArgumentParser(description='Execute build script and save error log')
    parser.add_argument('comp_file', help='')
    parser.add_argument('base_directory', help='')

    args = CMDParser.jepSysArgs()
    args = parser.parse_args(args)

    comp_file = CMDParser.jepArgPath(args.comp_file)
    base_directory = CMDParser.jepArgPath(args.base_directory)

    comp = MaterialComponent(comp_file)
    comp.base_directory = base_directory
    comp.buildComponent()
    comp.sym_mdl.close()
