#!/usr/bin/python
# -*- coding: <UTF-8> -*-

"""
Python Version : 3.6

$LastChangedRevision: 4482 $
$LastChangedDate:: 2021-06-15 11:04:42 +0200#$

This file is part of SyMSpace.

Copyright (c) 2018, Linz Center of Mechatronics GmbH (LCM) http://www.lcm.at/
All rights reserved.
"""

if __name__ == '__main__':
    """
    This script builds the ComponentSpace Developer Help
    

    Commandline Arguments
    ---------------------
    --SrcDir : str
        Set source directory. %ComponentSpace% (Default)
        
    --OutDir : str
        Set output directory. %ComponentSpace%\\_Help (Default) 
        
    --WarningsAsErrors : int
        Turn warnings into errors.
    
    --NitPickyMode : int
        Run in nit-picky mode. Currently, this generates warnings for all missing references.
    
    --LogFile : str
        Write warnings (and errors) to the given file, in addition to standard error.

    Examples
    --------


    >>> CSyMSpace.exe build_developer_help.py --WarningsAsErrors 0 --NitPickyMode 0 --LogFile "0"

    >>> CSyMSpace.exe build_developer_help.py --WarningsAsErrors 1 --NitPickyMode 1 --LogFile "help.log"

    """
    from componentspace.help.developer_help import DeveloperHelp

    runner = DeveloperHelp.fromCMDParser()
    runner.build(sys_exit=True)
